apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ .Release.Name }}
spec:
  selector:
    matchLabels:
      app.kubernetes.io/name: iperf
  template:
    metadata:
      labels:
        app.kubernetes.io/name: iperf
    spec:
      containers:
      - name: iperf
        image: networkstatic/iperf3
        args: ["-s"]
        ports:
          - containerPort: 5201
            name: iperf
        resources:
          requests:
            memory: "256Mi"
            cpu: "1m"
          limits:
            memory: "4Gi"
            cpu: "4"
